namespace FarmmapsApi.Models
{
    public class FileResponse : FileRequest
    {
        /// <summary>
        /// Code created for the registered file, use this in subsequent calls
        /// </summary>
        /// <example>a00fbd18320742c787f99f952aef0dbb</example>
        public string Code { get; set; }

        /// <summary>
        /// If a chunked upload, the number of chunks to upload
        /// </summary>
        /// <example>1</example>
        public long Chunks { get; set; }
    }
}