using System;
using System.Collections.Generic;
using Newtonsoft.Json.Linq;

namespace FarmmapsApi.Models
{
    public class Item
    {
        public Item()
        {
            Tags = new List<string>();
        }

        public string Code { get; set; }

        public string Name { get; set; }

        public DateTime? Created { get; set; }

        public DateTime? Updated { get; set; }

        public DateTime? DataDate { get; set; }

        public string ItemType { get; set; }

        public string SourceTask { get; set; }

        public long Size { get; set; }

        public int State { get; set; }

        public string ParentCode { get; set; }

        public JObject Geometry { get; set; }

        public JObject Data { get; set; }

        public IList<string> Tags { get; set; }
    }
}