using System;
using System.Collections.Generic;
using Newtonsoft.Json.Linq;

namespace FarmmapsApi.Models
{
    public class ItemRequest
    {
        public ItemRequest()
        {
            Tags = new List<string>();
        }
        
        public string ParentCode { get; set; }
        public string ItemType { get; set; }
        public string Name { get; set; }
        public DateTime? DataDate { get; set; }
        public DateTime? DataEndDate { get; set; }
        public JObject Geometry { get; set; }
        public JObject Data { get; set; }
        public IList<string> Tags { get; set; }
    }
}